Account
Remove profile pic
Deletes the current User's profile picture from file storage and clears the reference on the account, returning the updated User.
Fails when no picture is set.
PUT
/api/sys/v{version:apiVersion}/account/remove_profile_pic
- Authorisation
- Minimum role: USER
Request arguments
Request body example
No input arguments
Response
- Status
- 200 (OK)
- Type
- DTO_user
- Wrapper
- DTO_response_wrap
- Other statuses
- 400 (BadRequest), 403 (Forbidden)
Response body example
DTO_user
| Name | Type | ReadOnly | Description |
| tenant_user | DTO_tenant_user | | Tenant user |
| created_by | DTO_reference_user | ReadOnly | Created by |
| last_updated_by | DTO_reference_user | ReadOnly | Last updated by |
| language | DTO_translation_language | ReadOnly | Language |
| id | Int32 | ReadOnly | Id |
| email | String | | Email |
| given_name | String | | Given name |
| family_name | String | | Family name |
| full_name | String | ReadOnly | Name |
| profile_pic | String | ReadOnly | Profile pic |
| created | DateTime | ReadOnly | Created |
| last_updated | DateTime | ReadOnly | Last updated |
| display_absolute_time | Boolean | ReadOnly | Display absolute time |
DTO_reference_is_admin
| Name | Type | ReadOnly | Description |
| is_admin | Boolean | ReadOnly | Is admin |
| id | Int32 | | Id |
| label | Object | ReadOnly | Label |
DTO_notification_channel
| Name | Type | ReadOnly | Description |
| email | Boolean | | Email |
| inapp | Boolean | | Inapp |
DTO_reference_user
| Name | Type | ReadOnly | Description |
| profile_pic | String | ReadOnly | Profile pic |
| email | String | ReadOnly | Email |
| id | Int32 | | Id |
| label | Object | ReadOnly | Label |
DTO_translation_language
| Name | Type | ReadOnly | Description |
| id | Int32 | ReadOnly | Leave empty on input |
| name | String | | Name |
| code | String | | Code |
| icon | String | ReadOnly | Icon |
| icon_sqare | String | ReadOnly | Icon sqare |
ENUM tenant_user_role
| Value | Name | Description |
| 0 | UNKNOWN | UNKNOWN |
| 1 | OWNER | Owner |
| 2 | ADMIN | Admin |
| 3 | USER | User |
ENUM tenant_user_status
| Value | Name | Description |
| 0 | UNKNOWN | UNKNOWN |
| 1 | ACTIVE | ACTIVE |
| 2 | DEACTIVE | DEACTIVE |
Generated Aug 4, 2026 18:37